Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
getaddrinfo_arg Struct Reference

## Data Fields
const char * | node
const char * | service
const struct addrinfo * | hints
struct addrinfo ** | res

## Detailed Description

Definition at line 177 of file raddrinfo.c.

## Field Documentation

## ◆ hints

const struct addrinfo* getaddrinfo_arg::hints

Definition at line 181 of file raddrinfo.c.

## ◆ node

const char* getaddrinfo_arg::node

Definition at line 179 of file raddrinfo.c.

## ◆ res

struct addrinfo** getaddrinfo_arg::res

Definition at line 182 of file raddrinfo.c.

## ◆ service

const char* getaddrinfo_arg::service

Definition at line 180 of file raddrinfo.c.

The documentation for this struct was generated from the following file:

- ext/socket/raddrinfo.c